Contact: 	HOBBYHIMMEL
eMail: 	info@hobbyhimmel.de
Thingiverse: 	https://www.thingiverse.com/thing:4562789

Summary:
This adapter is screwed on a DN36 hose and ends with the MALE part of our adapter system.
